ZapyFlow/API documentationopenapi.json

Catalog

Product and service catalog

GET/api/ai-agents/{id}/catalog-items

List the agent's catalog items

Required scope: catalog.read

ParameterInRequired
idpathyes
bash
curl "https://api.zapyflow.com.br/api/ai-agents/{id}/catalog-items" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 200 — OK
  • 404 — Not found — also returned when the resource belongs to another workspace

POST/api/ai-agents/{id}/catalog-items

Create a catalog item

Required scope: catalog.write

ParameterInRequired
idpathyes

Request body

FieldTypeRequiredConstraints
namestringyesmin 1, max 150
descriptionstringnomax 1000
pricenumberyes≥ 0
imageUrlobject | string | nullno—
categoryobject | string | nullno—
activebooleanno—
orderintegerno—
bash
curl -X POST "https://api.zapyflow.com.br/api/ai-agents/{id}/catalog-items" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
Responses
  • 201 — Created
  • 404 — Not found — also returned when the resource belongs to another workspace

PATCH/api/ai-agents/{id}/catalog-items/{itemId}

Edit a catalog item

Required scope: catalog.write

ParameterInRequired
idpathyes
itemIdpathyes

Request body

FieldTypeRequiredConstraints
namestringnomin 1, max 150
descriptionstringnomax 1000
pricenumberno≥ 0
imageUrlobject | string | nullno—
categoryobject | string | nullno—
activebooleanno—
orderintegerno—
bash
curl -X PATCH "https://api.zapyflow.com.br/api/ai-agents/{id}/catalog-items/{itemId}" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
Responses
  • 200 — OK
  • 404 — Not found — also returned when the resource belongs to another workspace

DELETE/api/ai-agents/{id}/catalog-items/{itemId}

Remove a catalog item without touching the provider's external resource

Required scope: catalog.write

ParameterInRequired
idpathyes
itemIdpathyes
bash
curl -X DELETE "https://api.zapyflow.com.br/api/ai-agents/{id}/catalog-items/{itemId}" \
  -H "Authorization: Bearer $ZAPYFLOW_API_KEY"
Responses
  • 204 — CatalogItem removido com sucesso
  • 404 — Not found — also returned when the resource belongs to another workspace